Subject: Re: [PATCH/RFC 2/2] git-p4: Add complex test case for branch import

From: Pete Wyckoff <[email-masked]>
Date: Mon, 22 Aug 2011 22:27:13 -0400

[email-masked] wrote on Mon, 22 Aug 2011 01:13 +0100:
> I still need some help on the code part of this RFC patch. I really do
> not like the way it is implemented. Do you see other possible ways of
> achieving the same algorithm?

I think I understand the problem now, and have a small test case
to see what's going wrong.  Your solution is definitely
sub-optimal.  :)  Is there anything that can be done with
--import-marks and --export-marks?

Could you guess at the branch point using p4?  I.e. for each file
in the new branch, grab the change that caused its most recent
revision (the #xx part).  Pick the max of those changes.  In git,
find the commit whith "change = ..." that you just discovered.
That's the parent.

Even this won't be perfect, and I'm not even sure if it's less
icky than diff-tree.

		-- Pete